aboutsummaryrefslogtreecommitdiff
path: root/network
diff options
context:
space:
mode:
authorNishant Limbachia <nishant@mnspace.net>2010-05-11 22:54:44 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 22:54:44 +0200
commit9ce5e7a146475a02f0795be2fd363a9b8f2e985c (patch)
tree44dc811107f981da2d2b22099979cff6b7fae35f /network
parentd12891f9e75139ed1eadb243574ce5cf4b2a60cb (diff)
downloadslackbuilds-9ce5e7a146475a02f0795be2fd363a9b8f2e985c.tar.xz
network/dovecot-sieve: Added to 12.1 repository
Diffstat (limited to 'network')
-rw-r--r--network/dovecot-sieve/README9
-rw-r--r--network/dovecot-sieve/dovecot-sieve.SlackBuild81
-rw-r--r--network/dovecot-sieve/dovecot-sieve.info8
-rw-r--r--network/dovecot-sieve/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/network/dovecot-sieve/README b/network/dovecot-sieve/README
new file mode 100644
index 000000000000..ed5c129b6ca4
--- /dev/null
+++ b/network/dovecot-sieve/README
@@ -0,0 +1,9 @@
+Dovecot Sieve plugin provides essential mail filtering capabilities.
+1. Filtering based on header flags or regex
+2. Vacation auto reply
+3. Notifications etc.
+
+Please see the wiki page for additional info and configuration help.
+ http://wiki.dovecot.org/LDA/Sieve
+
+This requires dovecot, which is also available from SlackBuilds.org.
diff --git a/network/dovecot-sieve/dovecot-sieve.SlackBuild b/network/dovecot-sieve/dovecot-sieve.SlackBuild
new file mode 100644
index 000000000000..25515ad83a72
--- /dev/null
+++ b/network/dovecot-sieve/dovecot-sieve.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware Package Build Script for dovecot-sieve
+
+# Copyright (c) 2007, Nishant Limbachia (nishant@mnspace.net)
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dovecot-sieve
+VERSION=1.1.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $TMP/$PRGNAM-$VERSION
+chown -R root.root .
+find . \
+\( -perm 664 -o -perm 666 -o -perm 600 -o -perm 440 -o -perm 444 -o -perm 400 \) \
+-exec chmod 644 {} \;
+find . \
+\( -perm 777 -o -perm 755 -o -perm 711 -o -perm 700 -o -perm 555 -o -perm 511 -o -perm 500 \) \
+-exec chmod 755 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-dovecot=/usr/lib/dovecot \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING* ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/dovecot-sieve/dovecot-sieve.info b/network/dovecot-sieve/dovecot-sieve.info
new file mode 100644
index 000000000000..e167c46b4ecb
--- /dev/null
+++ b/network/dovecot-sieve/dovecot-sieve.info
@@ -0,0 +1,8 @@
+PRGNAM="dovecot-sieve"
+VERSION="1.1.5"
+HOMEPAGE="http://www.dovecot.org/"
+DOWNLOAD="http://dovecot.org/releases/sieve/dovecot-sieve-1.1.5.tar.gz"
+MD5SUM="b4362defe3fc18865db8cf8e1c940b13"
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="rworkman"
diff --git a/network/dovecot-sieve/slack-desc b/network/dovecot-sieve/slack-desc
new file mode 100644
index 000000000000..c80d99bd3d04
--- /dev/null
+++ b/network/dovecot-sieve/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------|
+dovecot-sieve: Dovecot-Sieve (mail filtering plugin for dovecot)
+dovecot-sieve:
+dovecot-sieve: dovecot-sieve plugin in an implementation of Sieve Mail
+dovecot-sieve: Filtering Language. It can be used for mail filtering,
+dovecot-sieve: vacation autoreply, notification, etcetera.
+dovecot-sieve:
+dovecot-sieve: Please see the wiki page for more info:
+dovecot-sieve: http://wiki.dovecot.org/LDA/Sieve
+dovecot-sieve:
+dovecot-sieve:
+dovecot-sieve: